# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['fs_client']

package_data = \
{'': ['*']}

install_requires = \
['pydantic', 'requests']

setup_kwargs = {
    'name': 'fs-client',
    'version': '3.5.0',
    'description': 'Library for accessing the Felles Studentsystem REST API',
    'long_description': "# fs-client\n\nfs-client is a Python 3.x library for accessing the [Felles Studentsystem][fs]\n[API][fs-api].\n\n\n## Usage\n\n```python\nfrom fs_client import FsClient\nfs = FsClient(url='https://example.com/',\n        headers={'X-Gravitee-Api-Key':\n                 'api-key-for-api-manager'},\n        # rewrite_url rewrites hyperlinks in the objects retrieved\n        rewrite_url=('https://example.org/',\n                     'https://example.com/'))\n\n# Note that _ in param names will be rewritten as . for compability with the\n# FS REST API\n\nfs.list_emner(organisasjonsenhet_fakultet=14)\n```\n\nIf FS api is setup to use relative urls you also need to add this parameter in FsClient init:\n\nrewrite_relative_urls=True\n\n  [fs]: https://www.fellesstudentsystem.no/\n  [fs-api]: http://www.fellesstudentsystem.no/dokumentasjon/brukerdok/fswebservice/\n",
    'author': 'USIT-INT',
    'author_email': 'bnt-int@usit.uio.no',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
